#ifndef CONVSAP2ESP_HPP
#define CONVSAP2ESP_HPP

/*--------------------------------------------------------------------------------------------------------------
 * INCLUDES
 *-------------------------------------------------------------------------------------------------------------*/
#include <cctype>

#include <vector>
#include <fstream>
#include <iostream>

#include "GlobTypes.hpp"
#include "Utils.hpp"
#include "args.hpp"

namespace cc 
{
	/*--------------------------------------------------------------------------------------------------------------
    * CLASS: MY_CLASS
    *--------------------------------------------------------------------------------------------------------------*/  
	class ConvSap2Esp
    {
    /*--------------------------------------------------------------------------------------------------------------
    * PRIVATE TYPES
    *--------------------------------------------------------------------------------------------------------------*/  
	private:
	
	/*--------------------------------------------------------------------------------------------------------------
    * PRIVATE ATTRIBUTES
    *--------------------------------------------------------------------------------------------------------------*/  
	private:
		CStr_t													m_raw;
		CoCStr_t												m_in_path;
		CoCStr_t												m_out_path;
		UInt_t													m_file_size;
		CoCStr_t												m_modo;

	/*--------------------------------------------------------------------------------------------------------------
    * PRIVATE METHODS
    *--------------------------------------------------------------------------------------------------------------*/  
	private:
		bool					load							(CoCStr_t in_path, CStr_t& raw, UInt_t& file_size);

	/*--------------------------------------------------------------------------------------------------------------
    * PUBLIC METHODS
    *--------------------------------------------------------------------------------------------------------------*/  
	public:
								ConvSap2Esp						(CoCStr_t in_path, CoCStr_t out_path, CoCStr_t modo);
								~ConvSap2Esp					(void);
		bool					Conv							(void);
		bool					Save							(void);
	};
}

#endif //CONVSAP2ESP_HPP
